varying float diffuse;

void main()
{
	vec3 normal = normalize(gl_NormalMatrix * gl_Normal);
	vec3 vertex_to_light = normalize(gl_LightSource[0].position.xyz - vec3(gl_ModelViewMatrix * gl_Vertex));
	diffuse = clamp(dot(normal,vertex_to_light),0.0,1.0);

	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_Position = ftransform();
} 

